summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuilder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh b/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh
index 5cc074bc..1516ed3e 100755
--- a/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh
+++ b/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh
@@ -16,6 +16,7 @@ tarcopy() {
unpack_config_tgz() {
local config_tgz="/etc/config.tgz"
+ [ -e "$config_tgz" ] || return 1
local extract_dir="$(mktemp -d)"
tar --extract --preserve-permissions \
--file="/etc/config.tgz" \